<?php
/*
email: purecola@gmail.com
date: 27/12/2006
file: spellNo.php
descp: Spell Number (in Bahasa Malaysia)
*/

function spell($no){
  global $eja;
  $int = array('', 'satu ','dua ','tiga ','empat ','lima ','enam ','tujuh ','lapan ','sembilan ');
  $nom = array('', 'se','dua ','tiga ','empat ','lima ','enam ','tujuh ','lapan ','sembilan ');
  $per = array('sa ','puluh ','ratus ','ribu ','juta ');
  $belas = 'belas ';
  
  $len = strlen($no);
  
  switch ($len) {
    case 0:
      return false;
      break;
      
    case 1:
      //sa
      $eja = $int[$no];
      break;
      
    case 2:
      //puluh
      $t1 = substr($no, 0,1);
      $t2 = substr($no, 1,1);
            
      if($t1==0){
        $eja = spell($t2);
      }elseif($t1==1 && $t2 > 0){
        $eja = $nom[$t2].$belas;
      }elseif($t1 > 0 && $t2 > 0){
        $eja = $nom[$t1].$per[1].$int[$t2];
      }else{
        $eja = $nom[$t1].$per[1];
      }      
      break;
      
    case 3:
      //ratus
      $t1 = substr($no, 0,1);
      if($t1==0){
        $n = (int)($no);
        $eja = spell($n);
      }else{
        $eja = $nom[$t1].$per[2].spell(substr($no, 1));
      }
      break;
      
    case 4:
      //ribu
      $t1 = substr($no, 0,1);
      if($t1==0){
        $n = (int)($no);
        $eja = spell($n);
      }else{
        $eja = $nom[$t1].$per[3].spell(substr($no, 1));
      }      
      break;
      
    case 5:
      //puluhribu
      $t1 = substr($no, 0,1);
      $t2 = substr($no, 1,1);
      if($t1==0){
        $n = (int)($no);
        $eja = spell($n);
      }else{
        $eja = spell($t1.$t2).$per[3].spell(substr($no,2));
      }
      break;
    
    case 6:
      //ratus ribu
      $t1 = substr($no, 0,1);
      $t2 = substr($no, 1,1);
      if($t1==0){
        $n = (int)($no);
        $eja = spell($n);
      }elseif($t2==0){
        $eja = $nom[$t1].$per[2].$per[3].spell(substr($no,1));
      }else{
        $eja = $nom[$t1].$per[2].spell(substr($no,1));
      }
      break;
      
    case 7:
      //juta
      $t1 = substr($no, 0,1);
      $t2 = substr($no, 1,1);
      if($t1==0){
        $n = (int)($no);
        $eja = spell($n);
      }else{
        $eja = $nom[$t1].$per[4].spell(substr($no,1));
      }
      
      break;
   case 8:
      //puluh juta
      //tambah la sendiri...hehe :P
      break;  
  }
  
return $eja;
}


//contoh untuk guna function di atas....
//limit juta jer... 7 angka

//$no = $_POST['no'];

//valid nombor


?>
